Public Class usrcntlFormOhneFelder
    Implements FormualrInterface

    Property BEZEICHNUNG = ""
    Property DS_ORDNER = ""

    Public Event DELETE(c As Control)
    Public Event MOVE_UP(c As Control)
    Public Event MOVE_DOWN(c As Control)


    Public KdNR As Integer = -1
    Public Sub ChangeKDNr(kdnr As Integer) _
       Implements FormualrInterface.ChangeKDNr
        'nix...
    End Sub

    Sub New(BEZEICHNUNG As String, DS_ORDNER As String, Optional displayName As String = "")
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.BEZEICHNUNG = BEZEICHNUNG
        Me.DS_ORDNER = DS_ORDNER
        Me.lblText.Text = If(displayName <> "", displayName, BEZEICHNUNG)
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub btnDel_Click(sender As Object, e As EventArgs) Handles btnDel.Click
        RaiseEvent DELETE(Me)
    End Sub

    Private Sub btnup_Click(sender As Object, e As EventArgs) Handles btnUp.Click
        RaiseEvent MOVE_UP(Me)
    End Sub

    Private Sub btnDown_Click(sender As Object, e As EventArgs) Handles btnDown.Click
        RaiseEvent MOVE_DOWN(Me)
    End Sub

    Private Sub pic_Click(sender As Object, e As EventArgs) Handles pic.Click
        FormularManagerNEU.genPDF(Me, True)
    End Sub

    Private Sub usrcntlFormOhneFelder_Load(sender As Object, e As EventArgs) Handles Me.Load

        If KdNR > 0 Then
            ' initKdNR(KdNR)
        End If
    End Sub
End Class
